# Lidia Editor

Simple Editor

## How to install

### prod

pnpm

```bash
pnpm add lidia-editor
```

or
npm

```bash
npm i lidia-editor
```


### dev

pnpm

```bash
pnpm add -D lidia-editor
```

or

npm

```bash
npm i -D lidia-editor
```

## How to use it

```tsx
import { ButtonDialog } from "lidia-editor"

function MyComponent() {
  render: () => (
    <LidiaEditor />
  ),
}
```

## Props

- **classStyles**: classNames for the elements: [Action Button](https://github.com/TiagoAMarek/ButtonDialog/blob/154a4fcd334b7ff2759572323260c96ec6bf55b1/src/index.tsx#L47), [Close Button](https://github.com/TiagoAMarek/ButtonDialog/blob/154a4fcd334b7ff2759572323260c96ec6bf55b1/src/index.tsx#L36), [Dialog Container](https://github.com/TiagoAMarek/ButtonDialog/blob/154a4fcd334b7ff2759572323260c96ec6bf55b1/src/index.tsx#L31) and the [Header](https://github.com/TiagoAMarek/ButtonDialog/blob/154a4fcd334b7ff2759572323260c96ec6bf55b1/src/index.tsx#L34)
- **closeButtonAriaLabel**: The label text to be read by screen readers for the close button
- **text**: The text to be shown on the action button
